@charset "Shift_JIS";

/* --------------------------------------------------------------------
アコーディオンパネル（.js-accordion）
--------------------------------------------------------------------- */
.bathtime .js-accordion button {
  margin: 0;
  padding: 0;
  background-color: transparent;
  border: none;
}

.bathtime .js-accordion .js-accordion_header {
  position: relative;
  width: 100%;
  cursor: pointer;
}

.bathtime .js-accordion .js-accordion_content {
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: height 0.6s ease, opacity 0.6s ease;
}

.bathtime .js-accordion .js-accordion_header .toggle_icon {
  position: absolute;
  top: 50%;
  right: 5%;
  display: inline-block;
  width: 16px;
  height: 16px;
  transform: translateY(-50%);
}

.bathtime .js-accordion .js-accordion_header .toggle_icon::before,
.bathtime .js-accordion .js-accordion_header .toggle_icon::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 2px;
  background: #222;
  transform: translate(-50%, -50%);
  transition: opacity 0.6s ease, -webkit-transform 0.6s ease;
  transition: opacity 0.6s ease, transform 0.6s ease;
}

.bathtime .js-accordion .js-accordion_header .toggle_icon::after {
  transform: translate(-50%, -50%) rotate(90deg);
  transition: opacity 0.6s ease, -webkit-transform 0.6s ease;
  transition: opacity 0.6s ease, transform 0.6s ease;
}

/* 開いた状態：縦棒を回転しながらフェードアウトして「−」に */
.bathtime .js-accordion .js-accordion_header.opening-accordion .toggle_icon::after {
  opacity: 0;
  transform: translate(-50%, -50%) rotate(180deg);
}

/* --------------------------------------------------------------------
商品スライダー
--------------------------------------------------------------------- */
.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container {
  margin: 0;
  padding: 0;
}

/* 中央揃えにする場合（非アクティブは透明） */
.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container .swiper-slide {
  opacity: 0.6;
  transition: transform 0.6s ease, opacity 0.6s ease;
}

.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container .swiper-slide-active {
  opacity: 1;
}

/* バレット */
.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container .swiper-pagination {
  position: relative;
  bottom: 0;
  left: 0;
  margin-top: 20px;
}

.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container .swiper-pagination .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  background: rgb(34, 34, 34, 30%);
  border-radius: 999px;
  transition: width 0.6s ease, background 0.6s ease;
}

.wrapper_:not(:has(.mainframe_)) .bathtime .event_ .swiper-container .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
  width: 26px;
  background: rgb(34, 34, 34, 60%);
}